EZCart Docs
Api

Store Search_suggest

Predictive search / autocomplete. Search products by name and categories by name. Returns lightweight results for search-as-you-type UIs.

GET
/v1/store/search/suggest

Query Parameters

q*string
limit?number

Response Body

application/json

curl -X GET "https://loading/v1/store/search/suggest?q=string"
{
  "categories": [
    {
      "id": "string",
      "name": "string",
      "slug": "string"
    }
  ],
  "products": [
    {
      "id": "string",
      "name": "string",
      "originalPrice": 0,
      "salePrice": 0,
      "slug": "string",
      "thumbnail": "string"
    }
  ],
  "totalCategories": 0,
  "totalProducts": 0
}